    -children
        type: list (default: "")
        List of rows. Each row consists of a list of cell entries.

    -columns
        type: integer
        Number of columns

    -hasFocus
        type: 1
        This sets the focus to the widget. To unset the focus it must be
        set to another widet.

    -headersClickable
        type: boolean (default: true)
        Whether the headers are clickable.

    -headersVisible
        type: boolean (default: true)
        Whether to show the headers.

    -heightGroup
        type: string (default: "")
        heightGroup can be an arbitrary string. All widgets with the same
        heightGroup request the same height. If packed with the fill flag
        set, they will have nevertheless different heights.

    -heightRequest
        type: int
        Height which is requested in the parent widget. The actual height
        can be larger.

    -name
        type: string
        Name of the widget, can be used to set options in an rc file.

    -onButtonPress
        type: string (default: "")
        Tcl command which is executed if a mouse button is press inside the widget.
        Before evaluation the following percent strings are substituated:
            %w widget name
            %t type of event One of: buttonPress, button2Press or button3Press
            %x x coordinate
            %y y coordinate
            %b button number
            %s state of the buttons and modifiers (bitmask)

    -onButtonRelease
        type: string (default: "")
        Tcl command which is executed if a mouse button is released inside the widget.
        Before evaluation the following percent strings are substituated:
            %w widget name
            %t type of event: always buttonRelease
            %x x coordinate
            %y y coordinate
            %b button number
            %s state of the buttons and modifiers (bitmask)

    -onPopupMenu
        type: string (default: "")
        Tcl command which is executed if the "popup-menu" signal is recieved,
        which is normally the case if the user presses Shift-F10.
        Before evaluation the following percent strings are substituated:
            %w widget name

    -onRowCollapsed
        type: string (default: "")
        Command to execute in the global scope if a row is collapsed.
        Before evaluation the following percent strings are substituted:
            %w widget name
            %p list of paths of the collapsed row

    -onRowExpanded
        type: string (default: "")
        Command to execute in the global scope if a row is expanded.
        Before evaluation the following percent strings are substituted:
            %w widget name
            %p list of paths of the expanded row

    -onSelectionChanged
        type: string (default: "")
        Command to execute in the global scope if the selection could be changed.
        Occasionaly it is executed, if the selection has not changed. Therefore
        the "%p" parameter can also be the empty string, which is not a valid path.
        Before evaluation the following percent strings are substituted:
            %w widget name
            %p list of paths of the selection

    -selectionMode
        type: ONEOF single, browse, multiple, extended
        Selection mode

    -sizeGroup
        type: string (default: "")
        sizeGroup can be an arbitrary string. All widgets with the same
        sizeGroup request the same size. If packed with the fill flag set,
        they will have nevertheless different sizes.

    -titles
        type: string (default: "")
        Titles of the columns

    -types
        type: ONEOF boolean, integer, float, string, markup, image (default: string)
        Types of column entries. If type is markup the cell content is
        interpreted as markup-string. For special formatting of the other types the

    -onCellData callback can be used.

    -ruleHint
        type: boolean (default: 0)
        Whether or not to render alternate rows with differing shades
        based upon the current theme settings. The theme base colour for
        the widget can be changed using the -baseColor option.

    -scrollbar
        type: always, never, automatic (default: automatic)
        When to show scrollbars. If the value is a list of two elements,
        the first value is for the horizontal scrollbar and the second value
        for the vertical scrollbar.

    -visible
        type: boolean (default: 1)
        Whether or not the item is visible.

    -widthGroup
        type: string (default: "")
        widthGroup can be an arbitrary string. All widgets with the same
        widthGroup request the same width. If packed with the fill flag set,
        they will have nevertheless different widths.

    -widthRequest
        type: int
        Width which is requested in the parent widget. The actual width can be larger.
